Bug 789496 - Investigate ESB logging -> JON eventing
Investigate ESB logging -> JON eventing
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, JON (Show other bugs)
5.3.0 GA
Unspecified Unspecified
medium Severity high
: ER2
: 5.3.0 GA
Assigned To: tcunning
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 16:52 EST by tcunning
Modified: 2012-06-11 23:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3745 Major Open JON event logging / ESB MVEL action 2014-08-18 17:13:19 EDT

  None (edit)
Description tcunning 2012-02-10 16:52:44 EST
From JON meeting 2/9/2012 (Ken, John, Alan, Charles, Tom)

Investigate using a log in conjunction with the ESB MVEL action to feed events into JON.     Investigate the filters available within JON events, what notification can occur based on groups of events. 

Investigate adding custom log4j entries for SOA for this log so that this sort of eventing can occur out of the box.

Investigate what the EAP plugin does for logging, and whether we can repurpose their approach for rudimentary BAM warnings.
Comment 1 Rick Wagner 2012-03-19 17:02:34 EDT
GSS calls this 'medium' priority.

Note You need to log in before you can comment on or make changes to this bug.